% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/globalaccelerator_operations.R
\name{globalaccelerator_list_tags_for_resource}
\alias{globalaccelerator_list_tags_for_resource}
\title{List all tags for an accelerator}
\usage{
globalaccelerator_list_tags_for_resource(ResourceArn)
}
\arguments{
\item{ResourceArn}{[required] The Amazon Resource Name (ARN) of the accelerator to list tags for. An
ARN uniquely identifies an accelerator.}
}
\description{
List all tags for an accelerator. To see an AWS CLI example of listing
tags for an accelerator, scroll down to \strong{Example}.
}
\details{
For more information, see \href{https://docs.aws.amazon.com/global-accelerator/latest/dg/tagging-in-global-accelerator.html}{Tagging in AWS Global Accelerator}
in the \emph{AWS Global Accelerator Developer Guide}.
}
\section{Request syntax}{
\preformatted{svc$list_tags_for_resource(
  ResourceArn = "string"
)
}
}

\keyword{internal}
